Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.appconn.ldap
Interface RemoveEntry

All Known Implementing Classes:
  RemoveEntryImpl

    public interface RemoveEntry

LDAP Remove Entry interface. This defines the methods for the Remove operation.

Version:
  $Revision: 1.3 $
Author:

Method Summary
`java.lang.String` | `getName()` Method to get the entry name that was set for removal from the directory
`boolean` | `performRemove()` Method that performs the removal of the entry
`void` | `reset()` Method to reset the values
`void` | `setName(java.lang.String name)` Method to set the entry name which has to be removed from the directory

Method Detail

### setName

    void setName(java.lang.String name)
                 throws LDAPApplicationException

  Method to set the entry name which has to be removed from the directory

  Parameters:
    `the` - entry name that is to be removed from the directory
  Throws:
    `LDAPApplicationException` - if there is no connection is available to the LDAP server.

### getName

    java.lang.String getName()
                             throws LDAPApplicationException

  Method to get the entry name that was set for removal from the directory

  Returns:
    the entry name that was set to be removed from the directory
  Throws:
    `LDAPApplicationException` - if there is no connection is available to the LDAP server.

### performRemove

    boolean performRemove()
                          throws LDAPApplicationException

  Method that performs the removal of the entry

  Returns:
    true if the entry was removed successfully
  Throws:
    `LDAPApplicationException` - if there is no connection is available to the LDAP server or any problem in executing the operation.

### reset

    void reset()

  Method to reset the values

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD